Subject: bug#48179: [External] : bug#48179: bookmark-fontify [PATCH]

From: Drew Adams <[email-masked]>
Date: Wed, 5 May 2021 16:43:59 +0000

> > > It's do-able, but if Drew's contributions are going
> > > to be accepted, that should take priority,
> >
> > If Drew submits patches, they'll be evaluated like
> > any other patches,
> 
> My reading of his email was that he was submitting
> an entire package.

To be clear -

1. I've submitted plenty of patches in the past.
   They've usually been ignored.  I don't plan on
   submitting a patch along the lines of what you
   (Boruch) have done for this.

2. File `bookmark+-lit.el' provides the highlighting
   we're talking about wrt Bookmark+.  It depends on
   code in the other Bookmark+ files.  (But they
   don't depend on it, so if you don't want such
   highlighting then you need not load it.

   Someone other than I could either use code from
   `bookmark+-lit.el' to patch Emacs or use its
   features or implementation as inspiration or as
   food for thought.

3. If Emacs maintainers decide to replace
   `bookmark.el' with Bookmark+ then I'll be glad to
   (a) incorporate any `bookmark.el` code that's
   currently used by Bookmark+ into Bookmark+, and
   (b) clean up the Bookmark + code so it doesn't
   bother to be compatible with older Emacs versions
   and it doesn't try to accommodate 3rd-party
   libraries when they might be available.

   The resulting library would be renamed `bookmark',
   (same name we use now, for `bookmark.el') but it
   would comprise multiple files.  File `bookmark+.el'
   would be renamed `bookmark.el', replacing that
   existing file.

   The existing doc is plain-text (in file
   `bookmark+-doc.el').  It would need to be rewritten
   to some extent.  I could help with that.  And I'd
   make myself available to help with questions etc.

#3 would take a while.  But I doubt that maintainers
would agree to it anyway.  They have not, in the past
(though Stefan M. did say at one point that it would
be good for that to happen).

Hope things are clear now.  I'm open to Bookmark+
_replacing_ `bookmark.el', and in that case I'd do
the cleanup work needed for that.  (Someone else
would do the GIT fiddling, committing etc.)  And I'm
open to anyone grabbing and repurposing code from
Bookmark+ piecemeal for vanilla Emacs.  I won't be
doing that, however.

As for the replacement possibility, I'd need some
reassurance that it would actually happen, before
I'd bother to work to make it available.

I'm not going to waste time again working on stuff
that has no chance of inclusion.  Sorry.  Been there.
Contributing - yes, I'm open to that.

If that's not acceptable then, as I say, the code is
there; it's GPL; and I offer it.  You're free to
take any of it you like for Emacs, and I'll even help
you understand, if there are questions.